// $Id: Reply_Handler.cpp 76591 2007-01-25 18:17:52Z elliott_c $
#include "Reply_Handler.h"

Reply_Handler::Reply_Handler (CORBA::ORB_ptr o)
  : orb_ (CORBA::ORB::_duplicate (o))
{
}

void
Reply_Handler::next_prime (CORBA::ULong)
  ACE_THROW_SPEC ((CORBA::SystemException))
{
  return;
}

void
Reply_Handler::next_prime_excep (
    ::Messaging::ExceptionHolder *ex)
  ACE_THROW_SPEC ((CORBA::SystemException))
{

  try
    {
      ex->raise_exception ();
    }
  catch (const CORBA::COMM_FAILURE& )
    {
      /*ACE_DEBUG ((LM_DEBUG,
                  "Callback method <next_prime_excep> called: \n"));
                  */

      ACE_Time_Value tv (10, 0);
      this->orb_->run (tv);

      this->orb_->shutdown (0);
    }
  catch (const CORBA::Exception& ex)
    {
      ex._tao_print_exception ("Caught exception:");
    }
}
